Bug 892384 - Update python-sqlalchemy0.7 to 0.7.4 or later
Summary: Update python-sqlalchemy0.7 to 0.7.4 or later
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-sqlalchemy0.7
Version: 2.0 (Folsom)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: snapshot2
: 2.1
Assignee: Pádraig Brady
QA Contact: Attila Fazekas
URL:
Whiteboard:
Depends On:
Blocks: 890180
TreeView+ depends on / blocked
 
Reported: 2013-01-07 00:43 UTC by Pádraig Brady
Modified: 2016-01-04 14:41 UTC (History)
0 users

Fixed In Version: python-sqlalchemy0.7-0.7.8-1.el6ost
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of: 838099
Environment:
Last Closed: 2013-02-14 18:24:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0260 normal SHIPPED_LIVE Red Hat OpenStack 2.0 (Folsom) Preview bug fix and enhancement update 2013-02-14 23:21:02 UTC

Description Pádraig Brady 2013-01-07 00:43:17 UTC
+++ This bug was initially created as a clone of Bug #838099 +++

Alembic fails to pass its unit tests against sqlalchemy-0.7.3
http://kojipkgs.fedoraproject.org/work/tasks/2144/4222144/build.log

The author of sqlalchemy (zzzeek) thinks that an update to sqlalchemy-0.7.4 or later will fix the issue.  https://twitter.com/zzzeek/status/221247697280180224

This is needed for python-alembic to build against epel6.
https://bugzilla.redhat.com/show_bug.cgi?id=837988

--- Additional comment from Toshio Ernie Kuratomi on 2012-08-30 12:27:10 EDT ---

pbrady, stevetraylen: any input here?  If this sounds okay to you but you're busy, I can update.  As I've been upgrading the main package (in Fedora, not in EPEL) the changelogs haven't shown any incompatible changes in the 0.7.x series.  0.7.8 is the latest.

--- Additional comment from Pádraig Brady on 2012-08-30 20:04:10 EDT ---

Thanks for the ping.
0.7.4 should be fine.

0.7.8 might be OK. That's the version used on Fedora 17.
I also scanned the changelog and noticed no obvious compat issues.
Lots of bugs fixed, and no new release since June.

OK I'll update to 0.7.8 so.

--- Additional comment from Fedora Update System on 2012-08-30 21:03:45 EDT ---

python-sqlalchemy0.7-0.7.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sqlalchemy0.7-0.7.8-1.el6

--- Additional comment from Fedora Update System on 2012-08-31 14:31:49 EDT ---

Package python-sqlalchemy0.7-0.7.8-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-sqlalchemy0.7-0.7.8-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-12777/python-sqlalchemy0.7-0.7.8-1.el6
then log in and leave karma (feedback).

--- Additional comment from Fedora Update System on 2012-09-16 14:28:43 EDT ---

python-sqlalchemy0.7-0.7.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 2 Pádraig Brady 2013-01-28 13:36:14 UTC
sqlalchemy is low level infrastructure that would be tested implicitly through installation and use.

There is no pressing need for this update, apart form minimising the versions in use compared to epel etc.

Comment 5 errata-xmlrpc 2013-02-14 18:24:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0260.html


Note You need to log in before you can comment on or make changes to this bug.